TICKIT_RECTSET_CONTAINS(3)

NAME
tickit_rectset_contains - test if an area is contained by a rectangle set

SYNOPSIS
    #include <tickit.h>

    bool tickit_rectset_contains(const TickitRectSet *trs, const TickitRect *rect);

Link with -ltickit.

DESCRIPTION
tickit_rectset_contains() tests whether the area given by rect is entirely contained by one or more regions in the rectangle set.

RETURN VALUE
tickit_rectset_contains() returns a true value if the given area is entirely covered by one or more regions, or false if at least some portion of it remains uncovered.

SEE ALSO
tickit_rectset_new(3), tickit_rectset(7), tickit_rect(7), tickit(7)